Package org.eclipse.mat.query.refined

## Class TotalsResult

- java.lang.Object
- - org.eclipse.mat.query.refined.TotalsResult

    public class TotalsResult
    extends java.lang.Object

Used by the `TotalsCalculator` to encapsulate the value and format to display.

Since:
  1.5

### Constructor Summary

Constructors
`TotalsResult​(java.lang.Object value, java.text.Format format)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.text.Format` `getFormat()`
`java.lang.Object` `getValue()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TotalsResult

    public TotalsResult​(java.lang.Object value,
                        java.text.Format format)

### Method Detail

#### getValue

    public java.lang.Object getValue()

#### getFormat

    public java.text.Format getFormat()